
public class BankDemo {
	
	public static void main(String[] args) {
		
		BankAccount client = new BankAccount(101);
		System.out.println("Depositing $500...");
		client.deposit(500);
		
		try {
			System.out.println("Withdrawing $100...");
			client.withdraw(100);
			
			System.out.println("Withdrawing $600...");
			client.withdraw(600);
			
			System.out.println("The current balance is $" + client.getBalance());
		} catch (InsufficientMoneyException e) {
			System.out.println("Sorry, but you are short $" + e.getAmount());
			e.printStackTrace();
		} finally {
			System.out.println("End of process!");
		}
		
		System.out.println("Bye!");
	}

}
